Bug 1905502 - Test flake - unable to get https transport for ephemeral-registry
Summary: Test flake - unable to get https transport for ephemeral-registry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1946694
TreeView+ depends on / blocked
 
Reported: 2020-12-08 14:07 UTC by Ricardo Maraschini
Modified: 2021-04-06 17:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1946694 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:41:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift image-registry pull 259 0 None closed Bug 1905502: Polling route until registry is available 2021-01-11 10:04:46 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:41:37 UTC

Description Ricardo Maraschini 2020-12-08 14:07:54 UTC
Following test is flaking:

=== RUN   TestPullThroughInsecure
    project.go:42: project image-registry-test-integration is created
    registry.go:482: created ephemeral registry: ephemeral-registry-lxcj4-image-registry-test-integration.apps.ci-op-g9nfs0iz-cdff4.origin-ci-int-gce.dev.openshift.com (ephemeral-registry-lxcj4)
    pullthrough_test.go:116: [unable to get https transport for ephemeral-registry-lxcj4-image-registry-test-integration.apps.ci-op-g9nfs0iz-cdff4.origin-ci-int-gce.dev.openshift.com/test/testrepo: registry does not support v2 API: got 503 Service Unavailable from https://ephemeral-registry-lxcj4-image-registry-test-integration.apps.ci-op-g9nfs0iz-cdff4.origin-ci-int-gce.dev.openshift.com/v2/, unable to get http transport for ephemeral-registry-lxcj4-image-registry-test-integration.apps.ci-op-g9nfs0iz-cdff4.origin-ci-int-gce.dev.openshift.com/test/testrepo: registry does not support v2 API: got 503 Service Unavailable from http://ephemeral-registry-lxcj4-image-registry-test-integration.apps.ci-op-g9nfs0iz-cdff4.origin-ci-int-gce.dev.openshift.com/v2/]
--- FAIL: TestPullThroughInsecure (9.62s)



An example:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_image-registry/257/pull-ci-openshift-image-registry-master-e2e-agnostic-image-registry/1335960311001255936

Comment 5 errata-xmlrpc 2021-02-24 15:41:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.